<?php
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="keywords" content="coordinate transformation, egsa87, hatt, hrts07, wgs84, μετατροπή συντεταγμένων, ΕΓΣΑ87">
<title>
Help for coordinate transformation
</title>

</head>
<body>
<table width="75%">
<tr><td>
<p><b><u>HELP</u></b></p>

<p>Information about the <b>Greek geodetic systems</b> can be found (amongst other places) at: <a href="https://en.wikipedia.org/wiki/Hellenic_Geodetic_Reference_System_1987">https://en.wikipedia.org/wiki/Hellenic_Geodetic_Reference_System_1987</a></p>


<p>The use of this program is pretty straightforward. </p>
<p>You set the parameters you wish for each section, insert any number of lines of coordinates formatted accordingly, and click <button type="button">Convert</button> on the appropriate section to convert the coordinates to all other systems. Please note that in order to set the parameters you have to click the button <button type="button">Save options</button> to save the settings</p>
<p>After transformation, the button <button type="button">KML file</button> in the WSG84 section, can be used to download a KML file to be opened by google earth. This plain text file contains two sections, one to draw a path and one to draw placemarks. Any one of these can be deleted to suit the user</p>
<p>The button <button type="button">k</button>, whenever appears, shows the projection scale at the <u>first</u> point of EGSA87 output below it.<br>There are two values:one accurate based on the geometry and one approximate based on the simplified formula given by Greek authorities.</p>
<p>The button <button type="button">File</button> in the EGSA87 section can be used to download a plain text file for use in the Greek cadastre (ktimatologio). </p>
<p>The program attempts to produce as many lines in each section as they were entered by the user. If there is an error in any entered line, the resulting line in other sections will be an error message and "Errors found!!!" will be printed on the screen.The user has to search the results to see which line produced the error.</p>
<p>Sometimes the WSG84 coordinates are not formatted as [lat-long] but rather as [long-lat]. In this case, the box marked as <b>[Reverse Lat-Lon]</b> in the PARAMETERS section should be ticked. When this box is ticked, the program reverses the WGS84 coordinates, internally, not on the screen.</p>

<p>The conversion from HATT maps to other system is straightforward and is based on the tables of coefficients published
by the Greek Army Geographic Service. </p>
<p>The reverse conversion is more tricky because these coefficients were not designed
for this task. So, if an EGSA 87 point (x,y) is to be transformed to HATT,the program locates the minimum distance
of this point to all centers of HATT maps according to coefficients A0,B0. Since HATT maps, belonging to same center
have slightly differed A0, B0, the program takes into account minimum distances +-5 m. This results in more that one maps
supposedly containing (x,y). The program tries to suggest the most probable map by highlighting it with --&gt; &lt;--, based on the
sign of x and y but this is not always possible, so be cautious with reverse convertion.</p>

<div style="background-color:#eeeeee">
<p><b><u>HELP FOR THE GREEK USERS OF KTIMATOLOGIO</u></b></p>

<p>Για να μετατρέψουμε τις συντεταγμένες που έχουμε πάρει με GPS για το Κτηματολόγιο, ακολουθούμε τα βήματα παρακάτω. Είναι απαραίτητο, όμως, οι συντεταγμένες να είναι διαδοχικές, δηλαδή ξεκινάμε από ένα σημείο και πάμε στο αμέσως επόμενο (δεξιόστροφα ή αριστερόστροφα) μέχρι να ληφθούν όλα τα σημεία και να σχηματιστεί η περίμετρος του κτήματος.</p>
<p><ol>
<li>Βάζουμε όλα τα σημεία σε γραμμές [γεωγρ. μήκος] [κόμμα ,] [γεωγρ. πλάτος] χρησιμοποιώντας έναν επεξεργαστή κειμένου</li>
<li>Κάνουμε αντιγραφή τις γραμμές και τις επικολλούμε στον χώρο που λέει "Coordinate convert from WGS84"</li>
<li>Πατάμε το κουμπάκι που λέει "Convert" κάτω από το "Coordinate convert from WGS84".</li>
<li>Πατάμε το κουμπάκι που λέει "File" στον χώρο κάτω από "Coordinate convert from EGSA87"</li>
<li>Κατεβάζουμε και αποθηκεύουμε το αρχείο το οποίο υποβάλλουμε στο Κτηματολόγιο</li>
</ol>
</td</tr>
<p>Αν οι συντεταγμένες που πήραμε δεν είναι [πλάτος-μήκος] αλλά [μήκος-πλάτος] τότε, πριν κάνουμε την μετατροπή, μαρκάρουμε το κουτάκι που γράφει Reverse Lat-Lon στο δεξιό πλαίσιο (PARAMETERS) και πατάμε το κουμπάκι "Submit options" από κάτω. Δεν θα αλλάξει τίποτε στην οθόνη αλλά το πρόγραμμα εσωτερικά θα αλλάξει την σειρά των συντεταγμένων.  Μπορούμε να κάνουμε έναν έλεγχο ορθότητας ξέροντας ότι το γεωγραφικό πλάτος της Ελλάδας είναι περίπου από 34 - 41 μοίρες και το μήκος από 20 - 28 μοίρες.<br>
Αντίστοιχα, σε συντεταγμένες ΕΓΣΑ 87, αν το [πλάτος-μήκος] είναι στη σωστή σειρά, τότε το X είναι από 130.000 - 880.00 μέτρα και το Y από 3.800.00 - 4.600.000 μέτρα
</div>

<p>Suggestions, bugs or error reports are wellcome.</p>
<p>Demetrius Papademetriou<br/>
Nov 10th, 2019<br/>
demkpap@gmail.com</p>

</td></tr>
</table>
</body>
</html>

